Listar cajas para efectivo
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/cash-sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/cash-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/cash-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "req_cash_sources_1",
"object": "list",
"url": "/api/v1/cash-sources",
"data": [
{
"object": "cash_source",
"id": "550e8400-e29b-41d4-a716-446655440701",
"type": "register",
"name": "Caja mostrador",
"currency": "PES",
"warehouse_id": "550e8400-e29b-41d4-a716-446655440010",
"warehouse_name": "Local",
"default_point_of_sale_id": "550e8400-e29b-41d4-a716-446655440002",
"default_point_of_sale_name": "Mostrador",
"is_active": true,
"created_at": "2026-04-10T10:00:00.000Z",
"updated_at": "2026-04-10T10:00:00.000Z"
},
{
"object": "cash_source",
"id": "550e8400-e29b-41d4-a716-446655440702",
"type": "safe",
"name": "Caja fuerte",
"currency": "PES",
"warehouse_id": null,
"warehouse_name": null,
"default_point_of_sale_id": null,
"default_point_of_sale_name": null,
"is_active": true,
"created_at": "2026-04-10T10:00:00.000Z",
"updated_at": "2026-04-10T10:00:00.000Z"
}
],
"has_more": false,
"next_cursor": null
}{
"request_id": "req_cash_sources_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for listing cash sources",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_cash_sources_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not list cash sources",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Listar cajas para efectivo
Lista las cajas operativas y cajas fuertes accesibles para registrar pagos en efectivo en ventas.
GET
/
api
/
v1
/
cash-sources
Listar cajas para efectivo
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Query Parameters
Valor de next_cursor recibido en la respuesta anterior
Cantidad máxima de resultados por respuesta
Required range:
1 <= x <= 100Texto de búsqueda por nombre, ubicación o punto de venta
Alias de query
Tipo de caja a devolver. Puede repetirse o enviarse separado por comas.
Available options:
register, safe Alias plural de type.
Available options:
register, safe Incluye cajas inactivas
Was this page helpful?
⌘I

